com.sun.messaging.bridge.api

## Enum MessageTransformer.JMSMessageType

- java.lang.Object
- - java.lang.Enum<MessageTransformer.JMSMessageType>
  - - com.sun.messaging.bridge.api.MessageTransformer.JMSMessageType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MessageTransformer.JMSMessageType>
  Enclosing class:
    MessageTransformer<T,S>

      public static enum MessageTransformer.JMSMessageType
      extends java.lang.Enum<MessageTransformer.JMSMessageType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BYTESMESSAGE`
    `MAPMESSAGE`
    `MESSAGE`
    `OBJECTMESSAGE`
    `STREAMMESSAGE`
    `TEXTMESSAGE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageTransformer.JMSMessageType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MessageTransformer.JMSMessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MESSAGE

          public static final MessageTransformer.JMSMessageType MESSAGE

    - #### TEXTMESSAGE

          public static final MessageTransformer.JMSMessageType TEXTMESSAGE

    - #### BYTESMESSAGE

          public static final MessageTransformer.JMSMessageType BYTESMESSAGE

    - #### MAPMESSAGE

          public static final MessageTransformer.JMSMessageType MAPMESSAGE

    - #### STREAMMESSAGE

          public static final MessageTransformer.JMSMessageType STREAMMESSAGE

    - #### OBJECTMESSAGE

          public static final MessageTransformer.JMSMessageType OBJECTMESSAGE

  - ### Method Detail

    - #### values

          public static MessageTransformer.JMSMessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageTransformer.JMSMessageType c : MessageTransformer.JMSMessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageTransformer.JMSMessageType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.